Org Transactions
Function-calling namespace: orgTransactions
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
refundRequests
Source: backend/endpoints/org-transactions/refund-requests
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "orgTransactions",
"apiName": "refundRequests",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }refunds
Source: backend/endpoints/org-transactions/refunds
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
search | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "orgTransactions",
"apiName": "refunds",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }